	#include <iostream>
	#include <math.h>
  using namespace std;
	int main()
   {
	  int  a, b, c;
	  double  x1, x2, delta;
	  cout<<"Please enter a, b and c : ";
	  cin>>a>>b>>c;
	  if (a==0) {
	    cout<<"wrong equation!";
	    return 1;
	    }
	  delta = b*b - 4*a*c;
	  if  (delta < 0)
	     cout<<"No answer !";
	  else if (delta == 0)
     {
	       x1 = -b / (2*a);
	       cout<<"There is one answer, x = "<<x1;
	    }
	  else
     {
	      delta = sqrt(delta);
	      x1 = (-b+delta) / (2*a);
	      x2 = (-b-delta) / (2*a);
	      cout<<"There are two answers, x1= "<<x1<<" and x2 = "<< x2;
	     }
	  return 0;
	   }
